MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023594Community[OCCT] OCCT:Data Exchangepublic2012-11-28 13:182014-10-09 18:32
ReporterRoman Lygin 
Assigned ToRoman Lygin 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023594: XCAFDoc_LayerTool extended to work with layer defined by its label, not string
DescriptionAdded methods IsSet(), UnSetOneLayer(), GetLayers() that accept TDF_Label or TDF_LabelSequence in addition to TCollection_ExtendedString or TColStd_HSequenceOfExtendedString.
These methods allow for better performance as avoid searching for the layer label using its string.
Additional information
and documentation updates
XDE User's Guide needs to be extended for respective methods.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
has duplicate 0022596closedabv XCAFDoc_LayerTool extended to work with layer defined by its label 

-  Notes
(0022406)
Roman Lygin (developer)
2012-11-28 13:21

Pushed branch CR23594 into the git repository
(0022419)
gka (developer)
2012-11-28 17:44

Branch CR23594 is ready to test
(0022516)
mkv (tester)
2012-12-03 14:48

Dear BugMaster,
Branch CR23594 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

- Related Changesets
occt: master a28d5778
Timestamp: 2012-11-28 09:19:04
Author: Roman Lygin
Details ] Diff ]
0023594: XCAFDoc_LayerTool extended to work with layer defined by its label, not string
mod - src/XCAFDoc/XCAFDoc_LayerTool.cdl Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_LayerTool.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-28 13:18 Roman Lygin New Issue
2012-11-28 13:18 Roman Lygin Assigned To => gka
2012-11-28 13:21 Roman Lygin Note Added: 0022406
2012-11-28 13:21 Roman Lygin Status new => resolved
2012-11-28 17:44 gka Note Added: 0022419
2012-11-28 17:44 gka Status resolved => reviewed
2012-11-28 18:27 mkv Assigned To gka => mkv
2012-12-03 14:48 mkv Note Added: 0022516
2012-12-03 14:48 mkv Test case number => Not needed
2012-12-03 14:48 mkv Assigned To mkv => bugmaster
2012-12-03 14:48 mkv Status reviewed => tested
2012-12-10 17:16 Roman Lygin Changeset attached => occt master a28d5778
2012-12-10 17:16 Roman Lygin Assigned To bugmaster => Roman Lygin
2012-12-10 17:16 Roman Lygin Status tested => verified
2012-12-10 17:16 Roman Lygin Resolution open => fixed
2012-12-10 17:49 bugmaster Target Version => 6.6.0
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:21 user533 Fixed in Version => 6.6.0
2014-10-09 18:32 abv Relationship added has duplicate 0022596


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker